:root {
	--musta: #000000;
	--valkoinen: #FFFFFF;
    --pinkki: #D6007F;
    --vaaleanpunainen: #F6DBEB;
    --tumma: #6A003F;
}

html, body {
	margin: 0;
	font-family: "League Spartan", sans-serif;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
	font-size: 22px;
}

h1, h2, h3, h4, h5, h6 {
    word-break: break-word;
    overflow-wrap: break-word;
	font-family: "Pacifico", cursive;
	font-weight: 400;
	font-style: normal;
    /*-webkit-hyphens: auto;
    -moz-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto;*/
}

h2,
.koko2 {
    font-size: 2.727rem;
    margin-top: 2.5rem;
    margin-bottom: 2.273rem;
}

h3,
.koko3 {
    font-size: 1.364rem;
    margin-top: 3rem;
    margin-bottom: 1.5rem;
}

.kehys {
	width: 1240px;
	margin-left: auto;
	margin-right: auto;
	box-sizing: border-box;
	max-width: 100%;
}

.rivi {
	display: flex;
	flex-wrap: wrap;
	box-sizing: border-box;
}

.solu {
	display: block;
	box-sizing: border-box;
}

.solu12 {
	width: 100%;
}

.solu11 {
	width: calc(100% / 12 * 11);
}

.solu10 {
	width: calc(100% / 1.2);
}

.solu9 {
	width: 75%;
}

.solu8 {
	width: calc(100% / 1.5);
}

.solu7 {
	width: calc(100% / 12 * 7);
}

.solu6 {
	width: 50%;
}

.solu5 {
	width: calc(100% / 2.4);
}

.solu4 {
	width: calc(100% / 3);
}

.solu3 {
	width: 25%;
}

.solu2 {
	width: calc(100% / 6);
}

.solu1 {
	width: calc(100% / 12);
}

.ylapalkki .kehys {
    width: 1920px;
    display: flex;
    justify-content: flex-end;
    position: relative;
}

a.paalogo {
    display: block;
    overflow: hidden;
    position: absolute;
    top: 0;
    left: -65px;
}

a.paalogo > img {
    display: block;
}

img {
    max-width: 100%;
    height: auto;
}

nav.paavalikko ul {
    display: flex;
    justify-content: flex-end;
    list-style: none;
    padding: 0;
    margin: 0;
    gap: 1.455em;
    align-items: center;
}

nav.paavalikko {
    display: flex;
    justify-content: flex-end;
    padding: 0.909rem 2.364rem 0.909rem 0;
}

a.nappula.tel {
    margin-left: 2.682rem;
    padding: 0.6em 1em 0.4em 2.273em;
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="15" height="15" viewBox="0 0 15 15"><path id="phone" d="M119.7-839.7a11.47,11.47,0,0,1-4.856-1.144,15.937,15.937,0,0,1-4.562-3.242,16.058,16.058,0,0,1-3.259-4.579,11.439,11.439,0,0,1-1.15-4.851,1.152,1.152,0,0,1,.34-.839,1.123,1.123,0,0,1,.833-.345h2.8a1.131,1.131,0,0,1,.781.274,1.415,1.415,0,0,1,.422.756l.541,2.343a1.862,1.862,0,0,1-.021.743,1.109,1.109,0,0,1-.335.555l-2.048,1.955a15.4,15.4,0,0,0,1.011,1.484,11.815,11.815,0,0,0,1.2,1.329,12.913,12.913,0,0,0,1.432,1.3,10.356,10.356,0,0,0,1.524.982l1.96-2a1.393,1.393,0,0,1,.631-.4,1.458,1.458,0,0,1,.736-.017l2.157.487a1.47,1.47,0,0,1,.756.468,1.216,1.216,0,0,1,.274.8v2.772a1.123,1.123,0,0,1-.345.833A1.139,1.139,0,0,1,119.7-839.7Z" transform="translate(-105.87 854.7)" fill="%23D6007F"/></svg>');
    background-position: center left 1rem !important;
    background-size: 0.682em auto !important;
    background-repeat: no-repeat !important;
    margin-right: 0;
}

.nappula {
    display: inline-block;
    font-size: 1rem;
    font-family: "League Spartan", sans-serif;
    font-weight: 700;
    background-color: var(--valkoinen);
    text-decoration: none;
    border: 2px solid var(--pinkki);
    line-height: 1em;
    padding: 0.55em 1.13em 0.42em 1.13em;
    color: var(--pinkki);
    border-radius: 1.136em;
    transition: 0.25s background, 0.25s color, 0.25s border;
    margin-right: 0.75rem;
}

.nappula:hover {
    background-color: var(--pinkki);
    color: var(--valkoinen);
}

nav.paavalikko ul a {
    display: block;
    text-decoration: none;
    font-size: 1.091rem;
    font-weight: 700;
    color: var(--pinkki);
    transition: 0.25s color;
    margin-top: 0.1em;
}

nav.paavalikko ul a:hover {
    color: var(--tumma);
}

section.isohero {
    display: block;
    background-size: cover !important;
    background-position: center !important;
    position: relative;
    z-index: 1;
}

.isohero > .kehys {
    min-height: calc(100vh - 120px);
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    z-index: 2;
    width: 1920px;
}

header.ylapalkki {
    position: relative;
    z-index: 5;
}

section.isohero::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: var(--pinkki);
    opacity: 0.4;
}

.isohero > .kehys h1 {
    margin: 0;
    color: var(--valkoinen);
    font-size: 5.682rem;
    text-align: center;
    text-shadow: 0px 0px 0.080em #6A003F;
    margin-bottom: 80px;
}

a.nappula.tel:hover {
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="15" height="15" viewBox="0 0 15 15"><path id="phone" d="M119.7-839.7a11.47,11.47,0,0,1-4.856-1.144,15.937,15.937,0,0,1-4.562-3.242,16.058,16.058,0,0,1-3.259-4.579,11.439,11.439,0,0,1-1.15-4.851,1.152,1.152,0,0,1,.34-.839,1.123,1.123,0,0,1,.833-.345h2.8a1.131,1.131,0,0,1,.781.274,1.415,1.415,0,0,1,.422.756l.541,2.343a1.862,1.862,0,0,1-.021.743,1.109,1.109,0,0,1-.335.555l-2.048,1.955a15.4,15.4,0,0,0,1.011,1.484,11.815,11.815,0,0,0,1.2,1.329,12.913,12.913,0,0,0,1.432,1.3,10.356,10.356,0,0,0,1.524.982l1.96-2a1.393,1.393,0,0,1,.631-.4,1.458,1.458,0,0,1,.736-.017l2.157.487a1.47,1.47,0,0,1,.756.468,1.216,1.216,0,0,1,.274.8v2.772a1.123,1.123,0,0,1-.345.833A1.139,1.139,0,0,1,119.7-839.7Z" transform="translate(-105.87 854.7)" fill="%23fff"/></svg>');
}

.kuvio_valkoinen_yla, .kuvio_vaaleanpunainen_yla {
    position: relative;
    padding-top: 1px;
}

.kuvio_valkoinen_yla::before {
    content: '';
    position: absolute;
    top: -145px;
    left: 0;
    width: 100%;
    z-index: 3;
    height: 152px;
    background: url(images/kuvio_yla_valkoinen.svg);
    background-position: top center;
    background-size: 100% 100%;
}

main.paasisalto.etusivuteksti {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 6.500rem;
    padding-top: 5.773rem;
    padding-bottom: 8.727rem;
    align-items: center;
}

.paasisalto_vasen {
    min-height: 443px;
    background: url(images/kuvio_etusivuteksti.svg);
    background-size: auto 100%;
    background-position: right center;
    background-repeat: no-repeat;
}

.paasisalto_oikea {
    padding-right: calc(100% - 618px);
    box-sizing: border-box;
    padding-top: 2rem;
}

p {
    font-size: inherit;
    line-height: 1.455em;
    color: var(--tumma);
    margin: 1.5rem 0;
}

p + p .nappula {
    margin-top: 0.5rem;
}

span.isoteksti {
    font-family: "Pacifico", cursive;
    font-size: 1.818em;
    color: var(--pinkki);
    font-weight: 400;
}

.osio {
    display: block;
    padding-top: 7.545rem;
    padding-bottom: 11rem;
}

.kehys > *:first-child {
    margin-top: 0;
}

.kehys > *:last-child {
    margin-bottom: 0;
}

.pinkki {
    background: var(--pinkki);
    color: var(--valkoinen);
}

.pinkki p {
    color: var(--valkoinen);
}

.vaaleanpunainen {
    background: var(--vaaleanpunainen);
}

.pinkki a.nappula {
    border-color: var(--valkoinen);
    background: var(--pinkki);
    color: var(--valkoinen);
}

.pinkki a.nappula:hover {
    border-color: var(--valkoinen);
    background: var(--valkoinen);
    color: var(--pinkki);
}

.kuvio_vaaleanpunainen_yla::before {
	content: '';
	position: absolute;
	top: -145px;
	left: 0;
	width: 100%;
	z-index: 3;
	height: 152px;
	background: url(images/kuvio_yla_vaaleanpunainen.svg);
	background-position: top center;
	background-size: 100% 100%;
}

.vaaleanpunainen h1,
.vaaleanpunainen h2,
.vaaleanpunainen h3,
.vaaleanpunainen h4,
.vaaleanpunainen h5,
.valkoinen h1,
.valkoinen h2,
.valkoinen h3,
.valkoinen h4,
.valkoinen h5 {
    color: var(--pinkki);
}

.vaaleanpunainen h3 {
    font-family: "League Spartan", sans-serif;
    font-weight: 700;
}


.wpcf7-text, .wpcf7-email, .wpcf7-textarea {
    display: block;
    width: 100%;
    box-sizing: border-box;
    margin-bottom: 13px;
    font-size: 1rem;
    padding: 0.75em 1.05em;
    border: 0;
    font-family: inherit;
    /* font-optical-sizing: auto; */
    font-weight: 400;
    border-radius: 0;
    color: var(--pinkki);
    background: var(--vaaleanpunainen);
    border-radius: 7px;
}

.wpcf7-text::placeholder,
.wpcf7-email::placeholder,
.wpcf7-textarea::placeholder {
    color: var(--tumma);
}

span.radio_label {
    display: block;
    margin: 1.5em 0 1em 0;
}

span.wpcf7-form-control.wpcf7-radio {
    display: flex;
    margin-bottom: 1.5rem;
    gap: 2rem;
    flex-wrap: wrap;
}

.wpcf7-radio input {
    display: inline-block;
    font-size: 1em;
    width: 1em;
    height: 1em;
    margin: 0;
    cursor: pointer;
}

.wpcf7-radio label {
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
}

.wpcf7-submit.nappula {
    margin-top: 1.5rem;
    cursor: pointer;
}

span.wpcf7-list-item-label a {
    color: var(--pinkki);
    font-weight: 600;
    text-decoration: none;
    transition: 0.25s color;
}

span.wpcf7-list-item-label a:hover {
    color: var(--tumma);
}

span.wpcf7-form-control.wpcf7-acceptance {
    margin-top: 1.773rem;
    display: block;
    margin-bottom: 1.364rem;
    font-size: 1rem;
}

.wpcf7 input[type="checkbox"] {
    font-size: 21px;
    width: 24px;
    height: 24px;
    margin: 0px 0 2px 0;
    border: none;
    cursor: pointer;
}

.wpcf7-acceptance label {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 0.818rem;
    cursor: pointer;
    text-align: left;
    font-weight: inherit;
}

footer.alapalkki {
    background-color: var(--pinkki);
    padding-top: 6.591rem;
    padding-bottom: 6.136rem;
    color: var(--valkoinen);
    position: relative;
}

.alapalkki > .kehys {
    display: flex;
    flex-wrap: wrap;
    position: relative;
    z-index: 2;
}

.alapalkki_vasen {
    display: flex;
    width: calc(100% - 490px);
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
}

.alapalkki_oikea {
    display: block;
    width: 490px;
    text-align: right;
}

.alapalkki_ala {
    display: block;
    width: 100%;
}

footer.alapalkki p {
    color: var(--valkoinen);
}

a {
    color: var(--pinkki);
    text-decoration: none;
    transition: 0.25s color;
}

footer.alapalkki::before {
    content: '';
    position: absolute;
    top: -145px;
    left: 0;
    width: 100%;
    z-index: 3;
    height: 152px;
    background: url(images/kuvio_yla_pinkki.svg);
    background-position: top center;
    background-size: 100% 100% !important;
}

ul {
    margin: 0;
    padding: 0;
    list-style: none;
    color: inherit;
}

li, .alapalkki li a {
    background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="19.203" height="13.974" viewBox="0 0 19.203 13.974"><path id="arrow_right_alt" d="M176.053-703.08H160.917a.891.891,0,0,1-.657-.26A.891.891,0,0,1,160-704a.891.891,0,0,1,.26-.657.891.891,0,0,1,.657-.26h15.136l-4.525-4.525a.828.828,0,0,1-.26-.642.939.939,0,0,1,.29-.642A.88.88,0,0,1,172.2-711a.88.88,0,0,1,.642.275l6.085,6.085a.933.933,0,0,1,.214.306.9.9,0,0,1,.061.336.9.9,0,0,1-.061.336.931.931,0,0,1-.214.306l-6.054,6.054a.88.88,0,0,1-.642.275.88.88,0,0,1-.642-.275.9.9,0,0,1-.275-.657.9.9,0,0,1,.275-.657Z" transform="translate(-160 711)" fill="%236A003F"/></svg>');
    background-position: left top 0.1em !important;
    background-repeat: no-repeat !important;
    padding-left: 1.5em;
    background-size: 0.864em auto !important;
    margin: 0 0 0.75rem 0;
}

.paavalikko li {
    background: none;
    padding: 0;
    margin: 0;
}

.alapalkki a {
    color: var(--valkoinen);
}

.alapalkki a:hover {
    color: var(--tumma);
}

.alapalkki li {
    padding: 0;
    background: none;
}

.alapalkki li:last-child {
    margin-bottom: 5px;
}

.alapalkki li a {
    background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="19.203" height="13.974" viewBox="0 0 19.203 13.974"><path id="arrow_right_alt" d="M176.053-703.08H160.917a.891.891,0,0,1-.657-.26A.891.891,0,0,1,160-704a.891.891,0,0,1,.26-.657.891.891,0,0,1,.657-.26h15.136l-4.525-4.525a.828.828,0,0,1-.26-.642.939.939,0,0,1,.29-.642A.88.88,0,0,1,172.2-711a.88.88,0,0,1,.642.275l6.085,6.085a.933.933,0,0,1,.214.306.9.9,0,0,1,.061.336.9.9,0,0,1-.061.336.931.931,0,0,1-.214.306l-6.054,6.054a.88.88,0,0,1-.642.275.88.88,0,0,1-.642-.275.9.9,0,0,1-.275-.657.9.9,0,0,1,.275-.657Z" transform="translate(-160 711)" fill="%23FFF"/></svg>');
    margin: 0;
    transition: 0.25s color, 0.25s background;
}

.alapalkki li a:hover {
    background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="19.203" height="13.974" viewBox="0 0 19.203 13.974"><path id="arrow_right_alt" d="M176.053-703.08H160.917a.891.891,0,0,1-.657-.26A.891.891,0,0,1,160-704a.891.891,0,0,1,.26-.657.891.891,0,0,1,.657-.26h15.136l-4.525-4.525a.828.828,0,0,1-.26-.642.939.939,0,0,1,.29-.642A.88.88,0,0,1,172.2-711a.88.88,0,0,1,.642.275l6.085,6.085a.933.933,0,0,1,.214.306.9.9,0,0,1,.061.336.9.9,0,0,1-.061.336.931.931,0,0,1-.214.306l-6.054,6.054a.88.88,0,0,1-.642.275.88.88,0,0,1-.642-.275.9.9,0,0,1-.275-.657.9.9,0,0,1,.275-.657Z" transform="translate(-160 711)" fill="%236A003F"/></svg>');
}


a.some_ig {
    width: 46px;
    height: 46px;
    display: block;
    text-indent: -9999px;
    background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="46.101" height="46.1" viewBox="0 0 46.101 46.1"><g id="instagram" transform="translate(-21.6 -21.7)"><path id="Path_41" data-name="Path 41" d="M55.1,21.7H34.3A12.718,12.718,0,0,0,21.6,34.4V55.1A12.718,12.718,0,0,0,34.3,67.8H55A12.718,12.718,0,0,0,67.7,55.1h0V34.4A12.569,12.569,0,0,0,55.1,21.7Zm9,33.4A9.133,9.133,0,0,1,55,64.2H34.4a9.113,9.113,0,0,1-9.1-9V34.5a9.048,9.048,0,0,1,9.1-9H55a9.112,9.112,0,0,1,9.1,9Z" fill="%23fff"/><path id="Path_42" data-name="Path 42" d="M44.7,32.6A12.2,12.2,0,1,0,56.9,44.8h0A12.249,12.249,0,0,0,44.7,32.6Zm0,20.1a7.9,7.9,0,1,1,7.9-7.9h0a7.791,7.791,0,0,1-7.9,7.9Z" fill="%23fff"/><path id="Path_43" data-name="Path 43" d="M60,32.2a2.7,2.7,0,1,1-2.7-2.7h0A2.689,2.689,0,0,1,60,32.2Z" fill="%23fff"/></g></svg>');
    background-size: 100% auto !important;
    transition: 0.25s background;
}

a.some_ig:hover {
    background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="46.101" height="46.1" viewBox="0 0 46.101 46.1"><g id="instagram" transform="translate(-21.6 -21.7)"><path id="Path_41" data-name="Path 41" d="M55.1,21.7H34.3A12.718,12.718,0,0,0,21.6,34.4V55.1A12.718,12.718,0,0,0,34.3,67.8H55A12.718,12.718,0,0,0,67.7,55.1h0V34.4A12.569,12.569,0,0,0,55.1,21.7Zm9,33.4A9.133,9.133,0,0,1,55,64.2H34.4a9.113,9.113,0,0,1-9.1-9V34.5a9.048,9.048,0,0,1,9.1-9H55a9.112,9.112,0,0,1,9.1,9Z" fill="%236a003f"/><path id="Path_42" data-name="Path 42" d="M44.7,32.6A12.2,12.2,0,1,0,56.9,44.8h0A12.249,12.249,0,0,0,44.7,32.6Zm0,20.1a7.9,7.9,0,1,1,7.9-7.9h0a7.791,7.791,0,0,1-7.9,7.9Z" fill="%236a003f"/><path id="Path_43" data-name="Path 43" d="M60,32.2a2.7,2.7,0,1,1-2.7-2.7h0A2.689,2.689,0,0,1,60,32.2Z" fill="%236a003f"/></g></svg>');
}

.alapalkki_ala {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    padding-top: 4.636rem;
}

.alapalkki_linkit {
    font-size: 0.909rem;
    display: flex;
    gap: 1.350em;
    flex-wrap: wrap;
}

.alapalkki_oikea img {
    aspect-ratio: 265 / 358;
    object-fit: cover;
    object-position: center;
    border-radius: 20px;
    border: 3px solid var(--valkoinen);
    display: inline-block;
    margin-bottom: 2.450rem;
}

.alapalkki_oikea img+p {
    margin-top: 0;
}

.alapalkki_oikea img+p {
    margin: 0;
    font-size: 1.091rem;
    line-height: 1.417em;
}

.footnote {
    background: var(--vaaleanpunainen);
    padding: 1rem 0;
}

.footnote > .kehys {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 0.909rem;
}

.footnote_vasen p {
    margin: 0;
}

.footnote_oikea {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 3.091rem;
    width: 40%;
}

.footnote_vasen {
    display: block;
    width: 60%;
}

.footnote_oikea {
}

footer.alapalkki::after {
	content: '';
	position: absolute;
	top: 0;
	bottom: 0;
	left: 45%;
	width: 55%;
	background: url(images/kuvio_footer.svg);
	background-position: left -3.5% bottom -44px;
	background-repeat: no-repeat;
	background-size: auto 93%;
}

@media screen and (max-width: 1700px) {
    html, body {
        font-size: 20px;
    }
}

@media screen and (max-width: 1600px) {
    html, body {
        font-size: 18px;
    }
}

@media screen and (max-width: 1350px) {
    body * {
        display: none !important;
    }

    body::after {
        display: flex !important;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        content: 'Ei vielä mobiilia!';
        width: 100%;
        height: 100%;
        justify-content: center;
        align-items: center;
        font-size: 2em;
        background: var(--pinkki);
        color: var(--valkoinen);
        text-align: center;
        padding: 25px;
        box-sizing: border-box;
    }
}